| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Tp::BaseChannelSplittableInterface Class Reference
Connection manager service implementation

Base class for implementations of Channel.Interface.Splittable. More...

`#include <TelepathyQt/BaseChannel>`

Inherits Tp::AbstractChannelInterface.

## Public Types

typedef Callback1< void, DBusError * > | SplitCallback

## Public Member Functions

virtual | ~BaseChannelSplittableInterface ()
QVariantMap | immutableProperties () const
void | split ()
void | setSplitCallback (const SplitCallback &cb)
Public Member Functions inherited from Tp::AbstractChannelInterface
| AbstractChannelInterface (const QString &interfaceName)
virtual | ~AbstractChannelInterface ()
Public Member Functions inherited from Tp::AbstractDBusServiceInterface
| AbstractDBusServiceInterface (const QString &interfaceName)
virtual | ~AbstractDBusServiceInterface ()
QString | interfaceName () const
DBusObject * | dbusObject () const
bool | isRegistered () const
bool | notifyPropertyChanged (const QString &propertyName, const QVariant &propertyValue)
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions

static BaseChannelSplittableInterfacePtr | create ()
template<typename BaseChannelSplittableInterfaceSubclass >
static SharedPtr < BaseChannelSplittableInterfaceSubclass > | create ()

## Additional Inherited Members

Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)
Protected Member Functions inherited from Tp::AbstractDBusServiceInterface
virtual bool | registerInterface (DBusObject *dbusObject)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)

## Detailed Description

Base class for implementations of Channel.Interface.Splittable.

## Member Typedef Documentation

typedef Callback1<void, DBusError*> Tp::BaseChannelSplittableInterface::SplitCallback

## Constructor & Destructor Documentation

Tp::BaseChannelSplittableInterface::~BaseChannelSplittableInterface | ( |  | ) |

virtual

Class destructor.

## Member Function Documentation

static BaseChannelSplittableInterfacePtr Tp::BaseChannelSplittableInterface::create | ( |  | ) |

inline static

template<typename BaseChannelSplittableInterfaceSubclass >

static SharedPtr<BaseChannelSplittableInterfaceSubclass> Tp::BaseChannelSplittableInterface::create | ( |  | ) |

inline static

QVariantMap Tp::BaseChannelSplittableInterface::immutableProperties | ( |  | ) | const

virtual

Return the immutable properties of this interface.

Immutable properties cannot change after the interface has been registered on a service on the bus with registerInterface().

Returns
  The immutable properties of this interface.

Implements Tp::AbstractDBusServiceInterface.

void Tp::BaseChannelSplittableInterface::split | ( |  | ) |

void Tp::BaseChannelSplittableInterface::setSplitCallback | ( | const SplitCallback & | cb | ) |